// убираем класс "no-js" у html-тэга
(function(H){H.className=H.className.replace(/\bno-js\b/,'js')})(document.documentElement);

(function($){ $(document).ready(function(){
	
	var $body = $('body');
	var $html = $('html');
	var $document = $(document);
	var $selectCity = $('#select-city');
	
	$selectCity.find('#select-city-link, #select-city-icon').on('click', function(e){
		e.preventDefault();
		$selectCity.toggleClass('open');
	});
	
	var $notice = $('#content .notice');
	if( $notice.length ) {
		$notice.on('click', '.close', function(e){
			e.preventDefault();
			$(this).closest('.notice').slideUp(100);
		});
	}
	
	currency = ' руб.';
	type_currency = 'rur';
	
	if( typeof($.fn.fancybox) != 'undefined' ) {
		$('.fancy').fancybox();
	}
	if( typeof($.fn.slides) != 'undefined' ) {
			var $slider = $('#slides');
			var $slides = $slider.find('.slide');
			var $sliderPagination;
			var $sliderPaginationPages;
			var frameCount = 21;	// количество кадров в таймере
			var widthImgTimer = 651;// ширина картинки с таймером
			var frameWidth = widthImgTimer / frameCount; // ширина одного кадра
			
			function startTimer(_options){
				options = {
					item: null,
					timeout: 0
				}
				$.extend(options, _options);
				
				var currentFrame = 0;
				var fps = options.timeout / frameCount;
				
				$sliderPaginationPages.filter('.timed').each(function(i){
					window.clearInterval(
						$(this).css('background-position', '0 0').removeClass('timed').removeClass('current').data('timerInterval')
					);
				});
				
				if( options.item !== null ) {
					var $page = $sliderPaginationPages.eq( ( options.item-1 ) );
					window.clearInterval(
						$page.css('background-position', '0 0').removeClass('timed').removeClass('current').data('timerInterval')
					);
					$page.addClass('timed').addClass('current').data('timerInterval', window.setInterval(function(){
					//	console.log(options.item, $sliderPaginationPages.eq(( options.item-1 )), '-'+ (currentFrame * frameWidth) +'px 0');
						currentFrame++;
						$page.css('background-position', '-'+ (currentFrame * frameWidth) +'px 0');
						if( currentFrame > frameCount ) {
							window.clearInterval(
								$page.removeClass('timed').removeClass('current').css('background-position', '0 0').data('timerInterval')
							);
						}
					}, fps));
				}
			
			};
			
			$('#slides').slides({
				
			//	preload: true,
			//	preloadImage: '../i/loading.gif',
				fadeSpeed: 500,
				effect: 'fade',
			//	crossfade: true,
				play: 10 * 1000,
				pause: 1,
				animationStart: function(current){
					//$labels.hide();
					//fadeOut(this.slideSpeed);
					$labels.animate({left: "1500px"}, 500);
				},
				animationComplete: function(current){
					//$labels.fadeIn(500);
					$labels.animate({left: ($slider.outerWidth() - $labels.outerWidth())}, 500);
					startTimer({timeout: this.play, item: current});
				},
				slidesLoaded: function() {
					$slider = $('#slides');
					$sliderPagination = $slider.find('.pagination');
					$sliderPagination.css({marginLeft: '-'+ ($sliderPagination.width() / 2) +'px'});
					$sliderPaginationPages = $sliderPagination.find('li');
					$labels = $slider.find('.label');
				
					function posLabel( $slider ) {
						$labels.each(function(i, label){
							var $label = $(label);
							$label.css({
								//'right':'0px'
								left: ($slider.outerWidth() - $label.outerWidth())
							});
						});
					};
					$(window).on('resize', function(e){
						posLabel( $slider );
				
					});
					posLabel( $slider );
					//$labels.fadeIn(500);
					$labels.animate({left: ($slider.outerWidth() - $labels.outerWidth())}, 500);
					$slider.find('.prev-next-buttons').fadeIn(500);
					$sliderPagination.fadeIn(500);
				/*
					$slider.find('.slide').each(function(e, slide){
						var $img = $(slide).find('img');
						$img.height( $slider.height() );
					});
				*/
					startTimer({timeout: this.play, item: 1});
				}
			});
	}
	
	if( $html.hasClass('ie7') || $html.hasClass('ie8') ) {
		var arrWidth = '1110, 1000'.split(', ');
		function setBodyWidth( width ) {
			for( var i=0; i<arrWidth.length; i++ ) {
				if( width <= arrWidth[i] ) {
					$body.addClass('width-'+ arrWidth[i]);
				} else {
					$body.removeClass('width-'+ arrWidth[i]);			
				}
			}
		}
		$(window).on('resize', function(){
			setBodyWidth( $body.width() );		
		});
		setBodyWidth( $body.width() );
		if(typeof $.fn.placeholder == 'function') {
			$('input[placeholder], textarea[placeholder]').placeholder();
		}
	}

	var $inputCustom = $('#content .input-custom');
	if( $inputCustom.length ) {
		var $combobox = $inputCustom;
		$inputCustom.filter('.combobox').on('click', function(e){
			var $inputContainer = $(this);
			e.preventDefault();
			if( $inputContainer.hasClass('open') ) {
				$inputContainer.removeClass('open').css({zIndex: 1, position: 'static'}).find('.combobox-list').css({zIndex:1, position: 'static'});
			} else {
				$inputContainer.addClass('open').css({zIndex: 500, position: 'relative'}).find('.combobox-list').css({zIndex:300, position: 'absolute'});
			}
		}).on('click', '.a-currency a', function(e){
			e.preventDefault();
			// Смена валюты
			type_currency = this.href.split('#')[1];
			$('.rur, .usd').hide().removeClass('checked');
			$('.' + type_currency).show().addClass('checked');
			if (type_currency == 'usd') {
				currency = ' $';
			}
			else {
				currency = ' руб.';
			}


			var $option = $('.checked a:first', '.a-deposits');
			var $inputContainer = $option.closest('.input-custom');
			var $comboboxSelected = $inputContainer.find('.combobox-selected');
			var $comboboxValue = $inputContainer.find('.combobox-value');

			$comboboxSelected.html( $option.html() );
			$comboboxValue.val( $option.html() );

			changeDeposit($option.attr('href').split('#')[1]);

			var $option = $(this);
			var $inputContainer = $option.closest('.input-custom');
			var $comboboxSelected = $inputContainer.find('.combobox-selected');
			var $comboboxValue = $inputContainer.find('.combobox-value');

			$comboboxSelected.html( $option.html() );
			$comboboxValue.val( $option.html() );

		}).on('click', '.a-deposits a', function(e){
			e.preventDefault();
			var $option = $(this);
			var $inputContainer = $option.closest('.input-custom');
			var $comboboxSelected = $inputContainer.find('.combobox-selected');
			var $comboboxValue = $inputContainer.find('.combobox-value');

			// Смена вклада
			changeDeposit(this.href.split('#')[1]);
			
			
			$comboboxSelected.html( $option.html() );
			$comboboxValue.val( $option.html() );
		}).each(function(i, inputContainer){
			var $inputContainer = $(inputContainer);
			var $option = $inputContainer.find('.combobox-list a').filter(':first');
			var $comboboxSelected = $inputContainer.find('.combobox-selected');
			var $comboboxValue = $inputContainer.find('.combobox-value');
			
			$comboboxSelected.html( $option.html() );
			$comboboxValue.val( $option.html() );
		});
	}	
	
	$document.on('click', function(e){
		if( !$(e.target).closest('#select-city-list, #select-city-link, #select-city-icon').length ) {
			$selectCity.removeClass('open');
		}
		if( !$(e.target).closest('.input-custom.combobox').length ) {
			$('#content .input-custom.combobox').removeClass('open');
		}
	});
	
	$slider = $('#content .slider');
	if( $slider.length ) {
		$slider.each(function(i, slider){
			var $slider = $(slider);
			var $handle = $slider.children('.handle');
			var $track = $slider.children('.track');
			var handleWidth = $handle.width();
			var handleHeight = $handle.height();
			var trackHeight = $track.height();
			var trackMarginTopBottom = Math.floor( (handleHeight / 2) - (trackHeight / 2) );
			var trackMarginLeftRight = handleWidth / 2;
			var margin = trackMarginTopBottom +'px '+ trackMarginLeftRight +'px';
			$track.css({margin: margin});
		});
		$slider.find('.handle').on('mousedown', function(e){
			var $handle = $(this).addClass('ui-active');
			var $slider = $handle.parent('.slider');
			var offsetSlider = $slider.offset();
			var startX = startx = e.pageX;
			$body.on("mousemove", function(e){
				e.preventDefault();
				startx = moveIt($handle, $slider, startx, offsetSlider, e.pageX);
			}).on('mouseup', function(){
				$handle.removeClass('ui-active');
				$(this).off("mousemove").off('mouseup');
				
			});
			e.preventDefault();
		});
		function moveIt($handle, $slider, startx, offsetSlider, pageX){
			var swipeDelta = startx - pageX;
		//	var currentPosition = $handle.css('left').match(/(.*)px/)[1] * 1;
			var currentPosition = parseInt( $handle.css('left') );
			var leftCss = (currentPosition - swipeDelta);
			var sliderWidth = $slider.children('.track').width();
			var handleWidth = $handle.width();
			var maxDelta = sliderWidth + handleWidth;
		
			// это, чтобы у нас ползунок не уехал за края слайдера
			if( leftCss >= 0 && leftCss <= sliderWidth){
				if( ( pageX >= offsetSlider.left && pageX <= (offsetSlider.left + maxDelta) ) || // это, чтобы ползунок ехал только, когда над ним находится мышка
					( pageX >= offsetSlider.left && swipeDelta < 0 ) || 	// и подгоняем, чтобы ползунок аккуратно
					( pageX <= offsetSlider.left && swipeDelta > 0 )		// доезжал до краёв
				) {
					$handle.css({left: leftCss});
					// в итоге у нас получился рабочий слайдер.
					// правда дёрганный какой-то.. но это не беда.
					// дальше, чтобы получить результат в процентах,
					// раскомментировать строку:
					result = Math.floor(leftCss*100 / maxDelta);
				}
			}
			return startx = pageX;
		}
	}
	
	var $inputFloated = $('input:text.is-float');
	if( $inputFloated.length ){
		// проверяем все инпуты, которые должны быть числовыми с плавающей точкой на валидность
		$inputFloated.on('keyup',function(e){
			var $this = $(this);
			var val = $this.val();
			// может содержать в себе только число или точку
			if( !/^([\d\.])*$/.test(val) ) {
				$this.parent('.input-wrap').addClass('error');
			} else {
				$this.parent('.input-wrap').removeClass('error');
			}
		})
		// и проверим каждый инпут сразу же, при загрузке страницы
		.each(function(i,elem){
			$(elem).triggerHandler('keyup');
		});
	}
	
	$currCalculateChanger = $('#content .calc .currency .change-currency');
	if( $currCalculateChanger.length ) {
		// функция для изменения отображения элементов калькулятора
		function changeVisibleElem( _options ) {
			var options = {
				calcChanger: null,
				calcBlock: null,
				currency: null
			};
			$.extend(true, options, _options);
			// находим активный чейнждер валюты и удаляем класс активности
			options.currency.find('.change-currency.selected').removeClass('selected');
			// находим текущий кликнутый чейнджер валюты и включаем его
			options.calcChanger.addClass('selected');
			// скрываем выбранную валюту в блоку результатов
			options.calcBlock.find('.calc-result').attr('class', 'calc-result '+ options.calcChanger.data('currency'));
		}
		
		// функция подсчёта стоимостей
		function calcCurrency(_options){
			var options = {
				calcBlock: null
			};
			$.extend(true, options, _options);
			// основной блок калькулятора
			var $calcBlock = options.calcBlock;
			// блок с переключалками валют
			var $currency = $calcBlock.find('.currency');
			// блок со списком результатов
			var $calcResult = $calcBlock.find('.calc-result');
			// инпут ввода
			var $currencyCount = $calcBlock.find('.currency-count');
			// текущая выбранная валюта
			var currency = $calcBlock.find('.change-currency.selected').data('currency');
			// стоимость выбранной валюты 
			var currentCost = $calcResult.find('.'+ currency +'-val').data('cost');
			// введённое пользователем число в инпут ввода.
			// заодно проверяем на валидность (хотя на валидность он был проверен выше, на 'keyup') и, если не валидно, устанавливаем в 0
			var val = ( $.trim( $currencyCount.val() ) == '' || $currencyCount.parent('.input-wrap').hasClass('error') ) ? 0 :parseInt( $.trim( $currencyCount.val() ) );
			
			// для каждой валюты записываем результат
			$calcResult.find('.value').each(function(i, value){
				// $элемент текущего результата валюты
				var $value = $(value);
				// стоимость текущей валюты
				var cost = $value.data('cost');
				// результат округляем до 4х знаков после запятой
				var result = (Math.round((currentCost/cost*val)*1000)/1000);//.toFixed(4);
				// записываем этот результат
				$value.html( result );
			});
		}
		
		// клик по одной из переключалок валют
		$currCalculateChanger.on('click', function(e){
			e.preventDefault();
			var $this = $(this);
			// родительский блок
			var $calcBlock = $this.closest('.calc-block');
			// родительский блок переключалок
			var $currency = $this.parent('.currency');
			// блок результатов
			var $calcResult = $calcBlock.find('.calc-result');
			// текущая валюта
			var currency = $this.data('currency');
			
			// изменяем отображение элементов калькулятора (описано выше)
			changeVisibleElem({
				calcChanger: $this,
				calcBlock: $calcBlock,
				currency: $currency
			});
			// расчитываем валюты
			calcCurrency({calcBlock: $calcBlock});
		});
		// при первичной загрузке документа пройдёмся по каждому калькулятору
		$('#content .calc-block').each(function(i, elem){
			var $this = $(elem);
			// чтобы у него включить первую переключалку валют
			$this.find('.change-currency').filter(':first').trigger('click');
		})
		// и инпутам калькулятора назначим функция подсчета на 'keyup'
		.find('.currency-count').on('keyup',function(e){
			var $this = $(this);
			// собственно, считаем (как - описано выше)
			calcCurrency({calcBlock: $this.closest('.calc-block')});
		});
	}
	
	$yamap = $('#ya-map');
	if( $yamap.length ){
		var yaMapScript = document.createElement('script');
		yaMapScript.src = 'http://api-maps.yandex.ru/2.0/?coordorder=longlat&load=package.full&lang=ru-RU&onload=showMap';
/*		var scrollScript = document.createElement('script');
		scrollScript.src = './js/jquery.scrollTo.min.js';
		$body.append(yaMapScript).append(scrollScript);
*/
		$body.append(yaMapScript);
/*		
		$.getScript('./js/jquery.scrollTo.min.js', function(data, textStatus){
			console.log(data, textStatus);
			
		});
*/
		// из-за того, что хром ни в какую не хочет грузить этот скрипт (сволочь такая),
		// пришлось вставить плагин прокрутки сюда
		(function(d){var k=d.scrollTo=function(a,i,e){d(window).scrollTo(a,i,e)};k.defaults={axis:'xy',duration:parseFloat(d.fn.jquery)>=1.3?0:1};k.window=function(a){return d(window)._scrollable()};d.fn._scrollable=function(){return this.map(function(){var a=this,i=!a.nodeName||d.inArray(a.nodeName.toLowerCase(),['iframe','#document','html','body'])!=-1;if(!i)return a;var e=(a.contentWindow||a).document||a.ownerDocument||a;return d.browser.safari||e.compatMode=='BackCompat'?e.body:e.documentElement})};d.fn.scrollTo=function(n,j,b){if(typeof j=='object'){b=j;j=0}if(typeof b=='function')b={onAfter:b};if(n=='max')n=9e9;b=d.extend({},k.defaults,b);j=j||b.speed||b.duration;b.queue=b.queue&&b.axis.length>1;if(b.queue)j/=2;b.offset=p(b.offset);b.over=p(b.over);return this._scrollable().each(function(){var q=this,r=d(q),f=n,s,g={},u=r.is('html,body');switch(typeof f){case'number':case'string':if(/^([+-]=)?\d+(\.\d+)?(px|%)?$/.test(f)){f=p(f);break}f=d(f,this);case'object':if(f.is||f.style)s=(f=d(f)).offset()}d.each(b.axis.split(''),function(a,i){var e=i=='x'?'Left':'Top',h=e.toLowerCase(),c='scroll'+e,l=q[c],m=k.max(q,i);if(s){g[c]=s[h]+(u?0:l-r.offset()[h]);if(b.margin){g[c]-=parseInt(f.css('margin'+e))||0;g[c]-=parseInt(f.css('border'+e+'Width'))||0}g[c]+=b.offset[h]||0;if(b.over[h])g[c]+=f[i=='x'?'width':'height']()*b.over[h]}else{var o=f[h];g[c]=o.slice&&o.slice(-1)=='%'?parseFloat(o)/100*m:o}if(/^\d+$/.test(g[c]))g[c]=g[c]<=0?0:Math.min(g[c],m);if(!a&&b.queue){if(l!=g[c])t(b.onAfterFirst);delete g[c]}});t(b.onAfter);function t(a){r.animate(g,j,b.easing,a&&function(){a.call(this,n,b)})}}).end()};k.max=function(a,i){var e=i=='x'?'Width':'Height',h='scroll'+e;if(!d(a).is('html,body'))return a[h]-d(a)[e.toLowerCase()]();var c='client'+e,l=a.ownerDocument.documentElement,m=a.ownerDocument.body;return Math.max(l[h],m[h])-Math.min(l[c],m[c])};function p(a){return typeof a=='object'?a:{top:a,left:a}}})(jQuery)
	}


	$('.faq-question').toggle(function() {
		$(this).next().slideDown();
	}, function() {
		$(this).next().slideUp();
	});
	
	
	
		var select = $( "#minbeds" );
if (select.length) {
		var slider = $( "#slider" ).slider({
			min: 1,
			max: $('option', select).length,
			range: "min",
			value: select[ 0 ].selectedIndex + 1,
			slide: function( event, ui ) {
				select[ 0 ].selectedIndex = ui.value - 1;
				$(".day-count").html($( "#minbeds").val());
				changeDeposit($('div.temp').parent().attr('id'));
			}
		});
		
		$( "#minbeds" ).change(function() {
			slider.slider( "value", this.selectedIndex + 1);
                  var selectText2 = $( "#minbeds:selected").html();
                        $(".day-count").html($( "#minbeds").val());
						//alert($( "#minbeds").val());
		});
	

		$('#deposit_summ').bind('change', function() {
			changeDeposit($('.temp', '#deposits-data').parent().attr('id'));
		});

		
		$('#capitalization').bind('click', function() {
			changeDeposit($('.temp', '#deposits-data').parent().attr('id'));
		});

		changeDeposit($('a:first', '.a-deposits').attr('href').split('#')[1]);
}
	
});})(this.jQuery);

		function showMap(ymaps) {
			var yapos = $('#ya-pos').html();
			var yapos = yapos.split(',');
			yapos = [parseFloat(yapos[0]), parseFloat(yapos[1])];
			$yamap = $('#ya-map');
			var map = new ymaps.Map($yamap[0], {
				center: yapos,
				zoom: 10,
				type: "yandex#map"
			});

			map.controls
				.add("zoomControl")
				.add("mapTools")
				.add(new ymaps.control.TypeSelector(["yandex#map", "yandex#satellite", "yandex#hybrid", "yandex#publicMap"]));
				
			$("#content .adress-block").each(function(i, elem){
				var $adress = $(elem);
				var longlat = $adress.find(".data-longlat").html();
				var header = $adress.find(".data-header").html();
				var body = $adress.find(".data-body").html();
				var footer = $adress.find(".data-footer").html();
				var longlat = longlat.split(',');
				longlat = [parseFloat(longlat[0]), parseFloat(longlat[1])];
				
				var placemark = new ymaps.Placemark(longlat, {
					balloonContentHeader: header,
                    balloonContentBody: body,
                    balloonContentFooter: footer
				});
				map.geoObjects.add(placemark);
				
				$adress.data('placemark', placemark).data('longlat', longlat);
			}).find('.show-in-map').on('click', function(){
				var $parentAdressBlock = $(this).closest('.adress-block');
				var placemark = $parentAdressBlock.data('placemark');
				var longlat = $parentAdressBlock.data('longlat');
				
				map.panTo(longlat,{
					delay: 100,
					duration: 200
				});
				var yamapOffset = $yamap.offset();
				var yamapHeight = $yamap.height();
				var scrollTop = $(document).scrollTop();

				if ( scrollTop > (yamapOffset.top + yamapHeight/2) ) {
					$.scrollTo("#ya-map-container", 300);
				}
			});
			
			map.panTo($("#content .adress-block").data('longlat'),{
				delay: 100,
				duration: 200
			});
		
			map.container.fitToViewport();
		};

function changeDeposit(id) {

	var $minimum = 1;
	var $maximum = 1000000000;
	var select = $( "#minbeds" );

	
	var $block = $('#' + id);
	if (!$block.length) {
		return false;
	}
	var deposit_min_one = $maximum;
	var deposit_max_one = $minimum;
	var deposit_summ = parseInt($('#deposit_summ').val());
	var period = $('.day-count').text().split(' ')[0];
	$('div', $block).each(function() {
		var deposit_min = parseInt($('.deposit_min', this).text());
		var deposit_max = parseInt($('.deposit_max', this).text());
		if (isNaN(deposit_min)) {
			deposit_min = 1;
		}
		if (isNaN(deposit_max)) {
			deposit_max = $maximum;
		}
		deposit_min_one = Math.min(deposit_min_one, deposit_min);
		deposit_max_one = Math.max(deposit_max_one, deposit_max);
	});
	var str = '';
	if (deposit_min_one == $maximum && deposit_max_one == $minimum) {
		str += 'сумма вклада не ограничена';
	}
	if (deposit_min_one == $minimum && deposit_max_one != $minimum) {
		str += 'минимальная сумма вклада не ограничена';
	}
	else {
		str += 'минимальная сумма вклада ' + number_format(deposit_min_one, {decimals: 0, thousands_sep: ' '}) + currency;
	}	
	if (deposit_min_one != $maximum && deposit_max_one == $maximum) {
		str += '<br />максимальная сумма вклада не ограничена';
	}
	else {
		str += '<br />максимальная сумма вклада ' + number_format(deposit_max_one, {decimals: 0, thousands_sep: ' '}) + currency;
	}
	$('#deposit-rules').html(str);

	if (isNaN(deposit_summ)) {
		deposit_summ = deposit_min_one;
		$('#deposit_summ').val(deposit_summ);
	}
	if ((deposit_summ < deposit_min_one && deposit_min_one != $minimum) || deposit_summ < $minimum) {
		deposit_summ = deposit_min_one;
		$('#deposit_summ').val(deposit_summ);
	}
	if (deposit_summ > deposit_max_one && deposit_max_one != $maximum) {
		deposit_summ = deposit_max_one;
		$('#deposit_summ').val(deposit_summ);
	}
	$('div.temp').removeClass('temp');
	$('div', $block).each(function() {
		var deposit_min = parseInt($('.deposit_min', this).text());
		var deposit_max = parseInt($('.deposit_max', this).text());
		if (isNaN(deposit_min)) {
			deposit_min = 1;
		}
		if (isNaN(deposit_max)) {
			deposit_max = $maximum;
		}
		if ((deposit_summ >= deposit_min && deposit_summ <= deposit_max) || (deposit_summ >= deposit_min && deposit_max == $maximum) || (deposit_min == $minimum && deposit_max == $maximum)) {
			$('p[class^="rate_"]:empty', this).each(function() {
				$('.' + $(this).attr('class'), "#minbeds").removeClass('on').addClass('off');
			});
			$('p[class^="rate_"]:parent', this).each(function() {
				$('.' + $(this).attr('class'), "#minbeds").removeClass('off').addClass('on');
			});
			rate = $('.rate_' + period, this).text();
			$(this).addClass('temp');
		}
	});

	var slider_length = $('.on', select).length;
	var slider_min = $('.on:first', select).index() + 1;
	var slider_max = slider_min + slider_length - 1;
	var slider_step = slider_max / slider_length;
	var slider_value = $('option[value="' + select.val() + '"]').index() + 1
	$( "#slider" ).slider('option', 'min', slider_min).slider('option', 'max', slider_max).slider('option', 'step', slider_step).slider('option', 'value', slider_value);
	if (slider_length <= 1) {
		$( "#slider" ).slider( "disable" );
	}
	else {
		$( "#slider" ).slider( "enable" );
	}
	if ($('option[value="' + select.val() + '"]').hasClass('off')) {
		$qqq = $('option.on:first', select);
		select.val($qqq.attr('value'));
		$(".day-count").html(select.val());
		var period = $qqq.attr('value').split(' ')[0];
		var rate = $('.rate_' + period, '.temp').text();
		$( "#slider" ).slider('option', 'value', $qqq.index());
	}
	periods = [];
	$('.on', select).each(function() {
		periods.push($(this).val());
	});
	$('#period-types').text('срок вклада — ' + periods.join(', '));
	$('#rate').text(rate);

	calculate(deposit_summ, period, rate);

}

function calculate(deposit_summ, period, rate) {

	var period_days;

	period = parseInt(period);
	if (type_currency == 'usd') {
		switch (period) {
			case 3:
				period_days = 91;
				break;
			case 6:
				period_days = 181;
				break;
			case 12:
				period_days = 365;
				break;
			case 24:
				period_days = 730;
				break;
		}
	}
	else {
		switch (period) {
			case 3:
				period_days = 91;
				break;
			case 6:
				period_days = 180;
				break;
			case 12:
				period_days = 365;
				break;
			case 24:
				period_days = 730;
				break;
		}
	}

	var daysInYear = 365;
/*
	if ($('.increase-item').length) {
		var now = new Date().getTime();
		var increase_arr = [];
		var sum;
		$('.increase-item').each(function() {
			sum = parseInt($(this).find('.sum').val());
			if (sum > 0) {
				var date = new Date ($('.datepicker', $(this)).val()).getTime();
				increase_arr[increase_arr.length] = {
					'datepicker' : Math.floor((date - now) / (1000 * 60 * 60 * 24)),
					'sum' : sum
				}
			}
			now = date;
		});
	}
*/

	if ($('#capitalization').is(':checked')) {
		var percent_sum = deposit_summ * (Math.pow(1 + rate * period_days / period / 100 / daysInYear, period)) - deposit_summ;
		var result_sum = +deposit_summ + percent_sum;
	}
	else {
		var percent_sum = deposit_summ * rate * period_days / daysInYear / 100;
		var result_sum = +deposit_summ + percent_sum;
	}

	$('.result').text(number_format(Math.floor(result_sum * 100) / 100, {thousands_sep: ' '}) + currency);
	$('.cost').text(number_format(Math.floor(percent_sum * 100) / 100, {thousands_sep: ' '}) + currency);
	
}






function number_format(_number, _cfg){
  function obj_merge(obj_first, obj_second){
    var obj_return = {};
    for (key in obj_first){
      if (typeof obj_second[key] !== 'undefined') obj_return[key] = obj_second[key];
      else obj_return[key] = obj_first[key];
      }
    return obj_return;
  }
  function thousands_sep(_num, _sep){
    if (_num.length <= 3) return _num;
    var _count = _num.length;
    var _num_parser = '';
    var _count_digits = 0;
    for (var _p = (_count - 1); _p >= 0; _p--){
      var _num_digit = _num.substr(_p, 1);
      if (_count_digits % 3 == 0 && _count_digits != 0 && !isNaN(parseFloat(_num_digit))) _num_parser = _sep + _num_parser;
      _num_parser = _num_digit + _num_parser;
      _count_digits++;
      }
    return _num_parser;
  }
  if (typeof _number !== 'number'){
    _number = parseFloat(_number);
    if (isNaN(_number)) return false;
  }
  var _cfg_default = {before: '', after: '', decimals: 2, dec_point: '.', thousands_sep: ','};
  if (_cfg && typeof _cfg === 'object'){
    _cfg = obj_merge(_cfg_default, _cfg);
  }
  else _cfg = _cfg_default;
  _number = _number.toFixed(_cfg.decimals);
  if(_number.indexOf('.') != -1){
    var _number_arr = _number.split('.');
    var _number = thousands_sep(_number_arr[0], _cfg.thousands_sep) + _cfg.dec_point + _number_arr[1];
  }
  else var _number = thousands_sep(_number, _cfg.thousands_sep);
  return _cfg.before + _number + _cfg.after;
}

/*
$(function (){  

	// Пополнение вклада
	$('#increase').live('click', function() {
		if ($(this).is(':checked')) {
			$(this).parent().parent().append('<p class="increase-item"><label>дата:<br /><input class="datepicker" type="text" /></label><label>сумма:<br /><input class="sum" type="text" /></label><span class="button remove-increase"></span><span class="button add-increase"></span></p>');
			datepickerSet($('.datepicker'));
		}
		else {
			$('.increase-item, .add-increase').remove();
			delete(newDate);
		}
	});
	
	$('.add-increase', '.increase-item').live('click', function() {
		$(this).parent().parent().append('<p class="increase-item"><label>дата:<br /><input class="datepicker" type="text" /></label><label>сумма:<br /><input class="sum" type="text" /></label><span class="button remove-increase"></span><span class="button add-increase"></span></p>');
		$(this).remove();
		datepickerSet($('.datepicker:last'));

	});
	
	$('.remove-increase', '.increase-item').live('click', function() {
		$(this).parent().remove();
		if ($('.increase-item').length == 0) {
			$('#increase').removeAttr('checked');
		}
		else {
			if ($('.add-increase').length == 0) {
				$('.increase-item:last-child').append('<span class="button add-increase"></span>');
			}
		}
	});

	$('.datepicker', '.increase-item').live('change', function() {
		var mydate = $(this).datepicker('getDate');
		newDate = new Date(mydate.getFullYear(), mydate.getMonth(), mydate.getDate() + 1);
		$(this).parent().parent().nextAll('.increase-item').find('.datepicker').datepicker('option', 'minDate', new Date(newDate));
	});


	// Снятие из вклада
	$('#withdrawal').live('click', function() {
		if ($(this).is(':checked')) {
			$(this).parent().parent().append('<p class="withdrawal-item"><label>дата:<br /><input class="datepicker" type="text" /></label><label>сумма:<br /><input class="sum" type="text" /></label><span class="button remove-withdrawal"></span><span class="button add-withdrawal"></span></p>');
			datepickerSet($('.datepicker'));
		}
		else {
			$('.withdrawal-item, .add-withdrawal').remove();
			delete(newDate);
		}
	});
	
	$('.add-withdrawal', '.withdrawal-item').live('click', function() {
		$(this).parent().parent().append('<p class="withdrawal-item"><label>дата:<br /><input class="datepicker" type="text" /></label><label>сумма:<br /><input class="sum" type="text" /></label><span class="button remove-withdrawal"></span><span class="button add-withdrawal"></span></p>');
		$(this).remove();
		datepickerSet($('.datepicker:last'));

	});
	
	$('.remove-withdrawal', '.withdrawal-item').live('click', function() {
		$(this).parent().remove();
		if ($('.withdrawal-item').length == 0) {
			$('#withdrawal').removeAttr('checked');
		}
		else {
			if ($('.add-withdrawal').length == 0) {
				$('.withdrawal-item:last-child').append('<span class="button add-withdrawal"></span>');
			}
		}
	});

	$('.datepicker', '.withdrawal-item').live('change', function() {
		var mydate = $(this).datepicker('getDate');
		newDate = new Date(mydate.getFullYear(), mydate.getMonth(), mydate.getDate() + 1);
		$(this).parent().parent().nextAll('.withdrawal-item').find('.datepicker').datepicker('option', 'minDate', new Date(newDate));
	});

});

function datepickerSet(obj) {

	if (typeof newDate !== 'undefined') {
		var minDate = newDate;
	}
	else {
		var minDate = 1;
	}
	obj.datepicker({
		dateFormat : 'yy-mm-dd',
		showAnim : 'slide',
		minDate : minDate
	});

}

*/